%define name	nwc2xml
%define svn	d2e11751c651
%define version 2.01
%define release %mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Converts Noteworty Composer music notation into MusicXML
License:	GPL
URL:		https://github.com/azmeuk/nwc2xml/
Group:		Publishing
Source:		azmeuk-%{name}-%{svn}.zip
BuildRequires:	%{_lib}wxgtku2.8-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
nwc2xml is a command line utility that converts the .nwc file
format(http://www.noteworthysoftware.com/) into MusicXML
(http://www.makemusic.com/musicxml).

%prep
%setup -q -n azmeuk-%{name}-%{svn}

%build
%make 

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %{buildroot}%{_datadir}/%{name}
install -D -m 755 bin/%{name} %{buildroot}%{_bindir}/%{name}
install -m 644 sample/*.nwc %{buildroot}%{_datadir}/%{name}/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc HISTORY.txt LICENSE.TXT README.txt
%{_datadir}/%{name}/*
%{_bindir}/nwc2xml


%changelog
* Sun Jan 02 2014 gseaman <galen.seaman at comcast.net> 2.01-1gseaman2014
- first build for PCLinuxOS
